package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.AuditStatusEnum;
import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 老师Vip课程信息
 */
public class TeacherVipClassInfoDto {
    @ApiModelProperty(value = "Vip课编号", required = false)
    private Long vipClassId;

    @ApiModelProperty(value = "班级编号", required = false)
    private Integer classGroupId;

    @ApiModelProperty(value = "教学模式（线上线下）", required = false)
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "Vip课名称",required = false)
    private String vipClassName;

    @ApiModelProperty(value = "课程状态",required = false)
    private CourseStatusEnum status;

    @ApiModelProperty(value = "审核状态",required = false)
    private AuditStatusEnum auditStatus;

    @ApiModelProperty(value = "班级人数",required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "线上课单价",required = false)
    private BigDecimal onlineClassesUnitPrice;

    @ApiModelProperty(value = "线下课单价",required = false)
    private BigDecimal offlineClassesUnitPrice;

    @ApiModelProperty(value = "开课时间",required = false)
    private Date paymentExpireDate;

    @ApiModelProperty(value = "活动方案",required = false)
    private String activityName;

    @ApiModelProperty(value = "活动编号",required = false)
    private Integer activityId;

    @ApiModelProperty(value = "截止时间",required = false)
    private Date coursesExpireDate;

    @ApiModelProperty(value = "申请时间",required = false)
    private Date createDate;

    @ApiModelProperty(value = "总课次",required = false)
    private Integer totalClassTimes;

    @ApiModelProperty(value = "当前课次",required = false)
    private Integer currentClassTimes;

    @ApiModelProperty(value = "月度平均消耗",required = false)
    private float monthAvg;

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public BigDecimal getOnlineClassesUnitPrice() {
        return onlineClassesUnitPrice;
    }

    public void setOnlineClassesUnitPrice(BigDecimal onlineClassesUnitPrice) {
        this.onlineClassesUnitPrice = onlineClassesUnitPrice;
    }

    public BigDecimal getOfflineClassesUnitPrice() {
        return offlineClassesUnitPrice;
    }

    public void setOfflineClassesUnitPrice(BigDecimal offlineClassesUnitPrice) {
        this.offlineClassesUnitPrice = offlineClassesUnitPrice;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    public float getMonthAvg() {
        return monthAvg;
    }

    public void setMonthAvg(float monthAvg) {
        this.monthAvg = monthAvg;
    }

    public Integer getCurrentClassTimes() {
        return currentClassTimes;
    }

    public void setCurrentClassTimes(Integer currentClassTimes) {
        this.currentClassTimes = currentClassTimes;
    }

    public Integer getTotalClassTimes() {
        return totalClassTimes;
    }

    public void setTotalClassTimes(Integer totalClassTimes) {
        this.totalClassTimes = totalClassTimes;
    }

    public Long getVipClassId() {
        return vipClassId;
    }

    public void setVipClassId(Long vipClassId) {
        this.vipClassId = vipClassId;
    }

    public String getVipClassName() {
        return vipClassName;
    }

    public void setVipClassName(String vipClassName) {
        this.vipClassName = vipClassName;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public AuditStatusEnum getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(AuditStatusEnum auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Integer getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public Date getPaymentExpireDate() {
        return paymentExpireDate;
    }

    public void setPaymentExpireDate(Date paymentExpireDate) {
        this.paymentExpireDate = paymentExpireDate;
    }

    public Date getCoursesExpireDate() {
        return coursesExpireDate;
    }

    public void setCoursesExpireDate(Date coursesExpireDate) {
        this.coursesExpireDate = coursesExpireDate;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
